x-generator: NSwag v14.0.0.0 (NJsonSchema v11.0.0.0 (Newtonsoft.Json v13.0.0.0))
openapi: 3.0.0
info:
  title: My Title
  version: 1.0.0
servers:
  - url: http://localhost:8080
paths:
  /api/artefacts:
    post:
      tags:
        - ArtefactsService
      operationId: ArtefactsService_Artefacts
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArtefactsListRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageListOfArtefactDTO'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/artefacts/create:
    post:
      tags:
        - ArtefactsService
      operationId: ArtefactsService_Upload
      parameters:
        - name: projectId
          in: query
          schema:
            type: string
            format: guid
          x-position: 1
        - name: ver
          in: query
          schema:
            type: string
          x-position: 2
        - name: environment
          in: query
          schema:
            type: string
          x-position: 3
        - name: flavor
          in: query
          schema:
            type: string
          x-position: 4
        - name: platform
          in: query
          schema:
            type: string
          x-position: 5
        - name: build
          in: query
          schema:
            type: integer
            format: int32
          x-position: 6
        - name: artefactExt
          in: query
          schema:
            type: string
            nullable: true
          x-position: 7
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                ContentType:
                  type: string
                  nullable: true
                ContentDisposition:
                  type: string
                  nullable: true
                Headers:
                  type: array
                  nullable: true
                  items: {}
                Length:
                  type: integer
                  format: int64
                Name:
                  type: string
                  nullable: true
                FileName:
                  type: string
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
  /api/auth/authenticate:
    post:
      tags:
        - Auth
      operationId: Auth_Authenticate
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthenticateRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessAuthResponse'
        '401':
          description: ''
  /api/auth/register:
    post:
      tags:
        - Auth
      operationId: Auth_Register
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: boolean
        '401':
          description: ''
  /api/device/list/filtered:
    post:
      tags:
        - DevicesService
      operationId: DevicesService_GetDevicesByFilter
      requestBody:
        x-name: filter
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DevicesFilter'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageListOfDeviceSummary'
        '401':
          description: ''
  /api/problems:
    post:
      tags:
        - Problems
      operationId: Problems_GetProblems
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProblemsRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageListOfProblem'
        '401':
          description: ''
        '404':
          description: ''
  /api/problems/{id}:
    get:
      tags:
        - Problems
      operationId: Problems_GetProblem
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: guid
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
        '401':
          description: ''
        '404':
          description: ''
    patch:
      tags:
        - Problems
      operationId: Problems_UpdateProblem
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: guid
          x-position: 1
        - name: status
          x-originalName: solved
          in: query
          schema:
            type: boolean
          x-position: 2
      responses:
        '200':
          description: ''
        '401':
          description: ''
        '404':
          description: ''
  /api/project/all:
    get:
      tags:
        - ProjectsService
      operationId: ProjectsService_GetProjectsList
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectInfo'
        '401':
          description: ''
  /api/project/{id}:
    get:
      tags:
        - ProjectsService
      operationId: ProjectsService_GetById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: guid
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectInfo'
        '401':
          description: ''
        '403':
          description: ''
  /api/project/invite:
    post:
      tags:
        - ProjectsService
      operationId: ProjectsService_InviteUserToProject
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserInviteRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: ''
        '401':
          description: ''
        '404':
          description: ''
  /api/project/users:
    post:
      tags:
        - ProjectsService
      operationId: ProjectsService_GetProjectUsers
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetProjectUsersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectUserSummary'
        '401':
          description: ''
  /api/project/create:
    post:
      tags:
        - ProjectsService
      operationId: ProjectsService_CreateProject
      requestBody:
        x-name: name
        content:
          application/json:
            schema:
              type: string
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectInfo'
        '401':
          description: ''
  /api/session/list/filtered:
    post:
      tags:
        - SessionsService
      operationId: SessionsService_GetSessionsByFilter
      requestBody:
        x-name: filter
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SessionFilter'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageListOfSessionSummary'
        '401':
          description: ''
  /:
    get:
      tags:
        - FrontendRedirector
      operationId: FrontendRedirector_Index
      responses:
        '200':
          description: ''
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
  /api/healthcheck:
    get:
      tags:
        - HealthCheck
      operationId: HealthCheck_Index
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
  /api/live/list:
    post:
      tags:
        - LiveService
      operationId: LiveService_getLiveDevices
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiveDevicesListRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviceInfo'
        '401':
          description: ''
  /api/live/events:
    get:
      tags:
        - LiveService
      operationId: LiveService_subscribeOnDevice
      parameters:
        - name: deviceID
          in: query
          schema:
            type: string
          x-position: 1
        - name: projectID
          in: query
          schema:
            type: string
          x-position: 2
      responses:
        '200':
          description: ''
  /api/consumer/consume:
    post:
      tags:
        - Consumer
      operationId: Consumer_consumeEvents
      requestBody:
        x-name: batch
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventsBatch'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: boolean
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: boolean
components:
  schemas:
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    PageListOfArtefactDTO:
      type: object
      additionalProperties: false
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ArtefactDTO'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    ArtefactDTO:
      type: object
      additionalProperties: false
      required:
        - id
        - environment
        - platform
        - flavor
        - version
        - build
        - publication
      properties:
        id:
          type: string
          format: guid
          minLength: 1
        downloadLink:
          type: string
          nullable: true
        artefactExt:
          type: string
          nullable: true
        environment:
          type: string
          minLength: 1
        platform:
          type: string
          minLength: 1
        flavor:
          type: string
          minLength: 1
        version:
          type: string
          minLength: 1
        build:
          type: integer
          format: int32
        publication:
          type: string
          format: date-time
          minLength: 1
    PaginationInfo:
      type: object
      additionalProperties: false
      required:
        - totalPages
        - totalItems
        - page
      properties:
        totalPages:
          type: integer
          format: int32
        totalItems:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
    ArtefactsListRequest:
      type: object
      additionalProperties: false
      properties:
        projectId:
          type: string
          format: guid
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
    SuccessAuthResponse:
      type: object
      additionalProperties: false
      required:
        - jwt
        - profileSummary
      properties:
        jwt:
          type: string
          minLength: 1
        profileSummary:
          $ref: '#/components/schemas/ProfileSummary'
    ProfileSummary:
      type: object
      additionalProperties: false
      required:
        - userName
      properties:
        userName:
          type: string
          minLength: 1
    AuthenticateRequest:
      type: object
      additionalProperties: false
      required:
        - login
        - password
      properties:
        login:
          type: string
          minLength: 1
        password:
          type: string
          minLength: 1
    RegisterRequest:
      type: object
      additionalProperties: false
      required:
        - login
        - password
        - userName
      properties:
        login:
          type: string
          minLength: 1
        password:
          type: string
          minLength: 1
        userName:
          type: string
          minLength: 1
    PageListOfDeviceSummary:
      type: object
      additionalProperties: false
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DeviceSummary'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    DeviceSummary:
      type: object
      additionalProperties: false
      required:
        - deviceCode
        - sessionsCount
        - associatedAccountsCount
        - exceptionsCount
      properties:
        deviceCode:
          type: string
          format: guid
          minLength: 1
        sessionsCount:
          type: integer
          format: int32
        associatedAccountsCount:
          type: integer
          format: int32
        exceptionsCount:
          type: integer
          format: int32
    DevicesFilter:
      type: object
      additionalProperties: false
      properties:
        projectID:
          type: string
          format: guid
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        deviceId:
          type: string
          format: guid
          nullable: true
        associatedAccountPhone:
          type: string
          nullable: true
        associatedAccountEmail:
          type: string
          nullable: true
    PageListOfProblem:
      type: object
      additionalProperties: false
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Problem'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    Problem:
      type: object
      additionalProperties: false
      required:
        - id
        - error
        - isSolved
        - lastOccurance
        - totalOccurances
        - affectedDevices
        - traces
      properties:
        id:
          type: string
          format: guid
          minLength: 1
        error:
          type: string
          minLength: 1
        isSolved:
          type: boolean
        lastOccurance:
          type: string
          format: date-time
          minLength: 1
        totalOccurances:
          type: integer
          format: int32
        affectedDevices:
          type: integer
          format: int32
        traces:
          type: array
          items:
            $ref: '#/components/schemas/TraceEntry'
    TraceEntry:
      type: object
      additionalProperties: false
      required:
        - line
        - column
        - function
        - path
      properties:
        line:
          type: integer
          format: int32
        column:
          type: integer
          format: int32
        function:
          type: string
          minLength: 1
        path:
          type: string
          minLength: 1
    ProblemsRequest:
      type: object
      additionalProperties: false
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        projectId:
          type: string
          format: guid
        isSolved:
          type: boolean
          nullable: true
    ProjectInfo:
      type: object
      additionalProperties: false
      required:
        - id
        - name
        - mineRights
      properties:
        id:
          type: string
          format: guid
          minLength: 1
        name:
          type: string
          minLength: 1
        mineRights:
          type: array
          items:
            type: string
    UserInviteRequest:
      type: object
      additionalProperties: false
      properties:
        projectID:
          type: string
          format: guid
          nullable: true
        userEmail:
          type: string
    ProjectUserSummary:
      type: object
      additionalProperties: false
      required:
        - userName
        - projectRights
      properties:
        userName:
          type: string
          minLength: 1
        projectRights:
          type: array
          items:
            type: string
    GetProjectUsersRequest:
      type: object
      additionalProperties: false
      properties:
        projectID:
          type: string
          format: guid
    PageListOfSessionSummary:
      type: object
      additionalProperties: false
      required:
        - items
        - pagination
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SessionSummary'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
    SessionSummary:
      type: object
      additionalProperties: false
      required:
        - id
        - projectID
        - deviceCode
        - lastUpdateTime
      properties:
        id:
          type: string
          format: guid
          minLength: 1
        projectID:
          type: string
          format: guid
          minLength: 1
        deviceCode:
          type: string
          format: guid
          minLength: 1
        lastUpdateTime:
          type: string
          format: date-time
          minLength: 1
        totalEventsCount:
          type: integer
          format: int32
        totalErrorsCount:
          type: integer
          format: int32
    SessionFilter:
      type: object
      additionalProperties: false
      properties:
        projectID:
          type: string
          format: guid
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        deviceID:
          type: string
          format: guid
          nullable: true
        sessionID:
          type: string
          format: guid
          nullable: true
        fromTS:
          type: string
          format: date-time
          nullable: true
        toTS:
          type: string
          format: date-time
          nullable: true
    DeviceInfo:
      type: object
      additionalProperties: false
      required:
        - code
        - os
      properties:
        code:
          type: string
          minLength: 1
        os:
          $ref: '#/components/schemas/DeviceOS'
        androidInfo:
          $ref: '#/components/schemas/AndroidInfo'
        iosInfo:
          $ref: '#/components/schemas/IOSInfo'
    DeviceOS:
      type: integer
      description: ''
      x-enumNames:
        - IOS
        - Android
      enum:
        - 0
        - 1
    AndroidInfo:
      type: object
      additionalProperties: false
      required:
        - id
        - host
        - manifacturer
        - androidVersion
        - board
        - bootLoader
        - brand
        - device
        - display
        - fingerprint
        - hardware
        - isPhysical
        - model
        - product
        - serialNumber
        - supported32BitAbis
        - supported64BitAbis
        - supportedAbis
        - systemFeatures
        - type
      properties:
        id:
          type: string
          minLength: 1
        host:
          type: string
          minLength: 1
        manifacturer:
          type: string
          minLength: 1
        androidVersion:
          $ref: '#/components/schemas/AndroidVersion'
        board:
          type: string
          minLength: 1
        bootLoader:
          type: string
          minLength: 1
        brand:
          type: string
          minLength: 1
        device:
          type: string
          minLength: 1
        display:
          $ref: '#/components/schemas/DisplayMetrics'
        fingerprint:
          type: string
          minLength: 1
        hardware:
          type: string
          minLength: 1
        isPhysical:
          type: boolean
        model:
          type: string
          minLength: 1
        product:
          type: string
          minLength: 1
        serialNumber:
          type: string
          minLength: 1
        supported32BitAbis:
          type: array
          items:
            type: string
        supported64BitAbis:
          type: array
          items:
            type: string
        supportedAbis:
          type: array
          items:
            type: string
        systemFeatures:
          type: array
          items:
            type: string
        type:
          type: string
          minLength: 1
    AndroidVersion:
      type: object
      additionalProperties: false
      required:
        - codeName
        - incremental
        - release
        - sdkInt
      properties:
        baseOS:
          type: string
        previewSdkInt:
          type: integer
          format: int32
        securityPatch:
          type: string
        codeName:
          type: string
          minLength: 1
        incremental:
          type: string
          minLength: 1
        release:
          type: string
          minLength: 1
        sdkInt:
          type: integer
          format: int32
    DisplayMetrics:
      type: object
      additionalProperties: false
      required:
        - widthPx
        - heightPx
        - xDpi
        - yDpi
      properties:
        widthPx:
          type: integer
          format: int32
        heightPx:
          type: integer
          format: int32
        xDpi:
          type: integer
          format: int32
        yDpi:
          type: integer
          format: int32
    IOSInfo:
      type: object
      additionalProperties: false
      required:
        - isPhysical
        - localizedModel
        - model
        - systemVersion
        - systemName
        - utsName
      properties:
        isPhysical:
          type: boolean
        localizedModel:
          type: string
          minLength: 1
        model:
          type: string
          minLength: 1
        systemVersion:
          type: string
          minLength: 1
        systemName:
          type: string
          minLength: 1
        utsName:
          $ref: '#/components/schemas/UtsName'
    UtsName:
      type: object
      additionalProperties: false
      required:
        - sysName
        - nodeName
        - releaseName
        - version
        - machine
      properties:
        sysName:
          type: string
          minLength: 1
        nodeName:
          type: string
          minLength: 1
        releaseName:
          type: string
          minLength: 1
        version:
          type: string
          minLength: 1
        machine:
          type: string
          minLength: 1
    LiveDevicesListRequest:
      type: object
      additionalProperties: false
      required:
        - projectID
      properties:
        projectID:
          type: string
          format: guid
          minLength: 1
    EventsBatch:
      type: object
      additionalProperties: false
      required:
        - isLive
        - bundle
        - events
        - projectID
      properties:
        isLive:
          type: boolean
        os:
          $ref: '#/components/schemas/DeviceOS'
        androidInfo:
          $ref: '#/components/schemas/AndroidInfo'
        iosInfo:
          $ref: '#/components/schemas/IOSInfo'
        identification:
          $ref: '#/components/schemas/Identification'
        bundle:
          $ref: '#/components/schemas/BundleInfo'
        screenshotsBatch:
          $ref: '#/components/schemas/ScreenshotsBatch'
        events:
          type: array
          items:
            $ref: '#/components/schemas/RegisteredEvent'
        projectID:
          type: string
          format: guid
          minLength: 1
    Identification:
      type: object
      additionalProperties: false
      required:
        - code
      properties:
        code:
          type: string
          minLength: 1
        userIdentification:
          type: string
    BundleInfo:
      type: object
      additionalProperties: false
      properties:
        version:
          type: string
        build:
          type: string
        branch:
          type: string
    ScreenshotsBatch:
      type: object
      additionalProperties: false
      properties:
        framesMaping:
          type: array
          items:
            type: integer
            format: int32
        frames:
          type: array
          items:
            type: string
    RegisteredEvent:
      type: object
      additionalProperties: false
      required:
        - id
        - timestamp
        - identification
        - kind
        - scope
        - severity
      properties:
        id:
          type: string
          format: guid
          minLength: 1
        timestamp:
          type: integer
          format: int64
        identification:
          type: string
          minLength: 1
        kind:
          type: string
          minLength: 1
        scope:
          type: string
          minLength: 1
        severity:
          type: string
          minLength: 1
        payload:
          type: string
  securitySchemes:
    Basic:
      type: apiKey
      description: Add JWT TOKEN
      name: Authorization
      in: header
security:
  - Basic: []
